> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Aggregate Proposals by Constituent

> Get an aggregated report for trade proposals which have been generated, grouped by constituent. The results are sorted by descending proposal_count, and then descending sum of notional buys & sells.



## OpenAPI

````yaml GET /api/v1/custom/org/{organization_uuid}/reports/proposals/constituents/
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/custom/org/{organization_uuid}/reports/proposals/constituents/:
    get:
      tags:
        - api
      description: >-
        Get an aggregated report for trade proposals which have been generated,
        grouped by constituent. The results are sorted by descending
        proposal_count, and then descending sum of notional buys & sells.
      operationId: api_v1_custom_org_reports_proposals_constituents_list
      parameters:
        - in: query
          name: end_date
          schema:
            type: string
            format: date
          description: Filter proposals created on or before this date (YYYY-MM-DD)
        - in: path
          name: organization_uuid
          schema:
            type: string
            format: uuid
          required: true
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: start_date
          schema:
            type: string
            format: date
          description: Filter proposals created on or after this date (YYYY-MM-DD)
        - in: query
          name: symbol
          schema:
            type: string
          description: Filter by ticker symbol
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedAggregateProposalsConstituentReportList
          description: ''
      security:
        - ProAPIToken: []
components:
  schemas:
    PaginatedAggregateProposalsConstituentReportList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/AggregateProposalsConstituentReport'
    AggregateProposalsConstituentReport:
      type: object
      properties:
        proposal_count:
          type: integer
        proposal_statuses:
          $ref: '#/components/schemas/ProposalStatuses'
        orders:
          $ref: '#/components/schemas/Orders'
        ticker:
          type: string
        tilt_asset_id:
          type: string
          nullable: true
      required:
        - orders
        - proposal_count
        - proposal_statuses
        - ticker
        - tilt_asset_id
    ProposalStatuses:
      type: object
      properties:
        completed:
          type: integer
        pending:
          type: integer
        failed:
          type: integer
      required:
        - completed
        - failed
        - pending
    Orders:
      type: object
      properties:
        buy:
          $ref: '#/components/schemas/OrdersSide'
        sell:
          $ref: '#/components/schemas/OrdersSide'
      required:
        - buy
        - sell
    OrdersSide:
      type: object
      properties:
        notional:
          $ref: '#/components/schemas/AmountCount'
        qty:
          $ref: '#/components/schemas/AmountCount'
      required:
        - notional
        - qty
    AmountCount:
      type: object
      properties:
        amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
        count:
          type: integer
      required:
        - amount
        - count
  securitySchemes:
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````